ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-17794) Oozie Server Start is failed after upgrade from 2.2.2.0 to 2.4.0.0
Date Tue, 19 Jul 2016 18:01:20 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-17794?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-17794:
----------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed
To https://git-wip-us.apache.org/repos/asf/ambari.git
   0a0f924..c6edaff  branch-2.4 -> branch-2.4
   060d175..7c20a93  trunk -> trunk


> Oozie Server Start is failed after upgrade from 2.2.2.0 to 2.4.0.0
> ------------------------------------------------------------------
>
>                 Key: AMBARI-17794
>                 URL: https://issues.apache.org/jira/browse/AMBARI-17794
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.4.0
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-17794.patch
>
>
> STR:
> 1) Install old version
> 2) Enable distributed mode for AMS
> 3) Make ambari only upgrade
> Actual result:
> Oozie Server Start is failed after upgrade from 2.2.2.0 to 2.4.0.0
> {code}
> stderr:   /var/lib/ambari-agent/data/errors-2079.txt
> Traceback (most recent call last):
> File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server.py",
line 215, in <module>
> OozieServer().execute()
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 280, in execute
> method(env)
> File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server.py",
line 95, in start
> oozie_service(action='start', upgrade_type=upgrade_type)
> File "/usr/lib/python2.6/site-packages/ambari_commons/os_family_impl.py", line 89, in
thunk
> return fn(*args, **kwargs)
> File "/var/lib/ambari-agent/cache/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_service.py",
line 96, in oozie_service
> os.chmod(params.check_db_connection_jar, 0o755)
> OSError: [Errno 1] Operation not permitted: '/usr/lib/ambari-agent/DBConnectionVerification.jar'
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message